fpt_data_ Struct Reference

Holds data for a single cascade summation. More...

`#include <fpt.h>`

Collaboration diagram for fpt_data_:
[legend]

## Data Fields

fpt_step ** | steps
| The cascade summation steps.
int | k_start
| TODO Add comment here.
double * | alphaN
| TODO Add comment here.
double * | betaN
| TODO Add comment here.
double * | gammaN
| TODO Add comment here.
double | alpha_0
| TODO Add comment here.
double | beta_0
| TODO Add comment here.
double | gamma_m1
| TODO Add comment here.
double * | _alpha
| < TODO Add comment here.
double * | _beta
| TODO Add comment here.
double * | _gamma
| TODO Add comment here.
bool | precomputed

## Detailed Description

Holds data for a single cascade summation.

Definition at line 45 of file fpt.h.

## Field Documentation

## steps

fpt_step** fpt_data_::steps

The cascade summation steps.

Definition at line 47 of file fpt.h.

Referenced by fpt_init(), and fpt_transposed().

## k_start

int fpt_data_::k_start

TODO Add comment here.

Definition at line 48 of file fpt.h.

Referenced by fpt_transposed().

## alphaN

double* fpt_data_::alphaN

TODO Add comment here.

Definition at line 49 of file fpt.h.

Referenced by fpt_transposed().

## betaN

double* fpt_data_::betaN

TODO Add comment here.

Definition at line 50 of file fpt.h.

Referenced by fpt_transposed().

## gammaN

double* fpt_data_::gammaN

TODO Add comment here.

Definition at line 51 of file fpt.h.

Referenced by fpt_transposed().

## alpha_0

double fpt_data_::alpha_0

TODO Add comment here.

Definition at line 52 of file fpt.h.

Referenced by fpt_transposed().

## beta_0

double fpt_data_::beta_0

TODO Add comment here.

Definition at line 53 of file fpt.h.

Referenced by fpt_transposed().

## gamma_m1

double fpt_data_::gamma_m1

TODO Add comment here.

Definition at line 54 of file fpt.h.

Referenced by fpt_transposed().

## _alpha

double* fpt_data_::_alpha

< TODO Add comment here.

TODO Add comment here.

Definition at line 56 of file fpt.h.

Referenced by fpt_init().

## _beta

double* fpt_data_::_beta

TODO Add comment here.

Definition at line 57 of file fpt.h.

Referenced by fpt_init().

## _gamma

double* fpt_data_::_gamma

TODO Add comment here.

Definition at line 58 of file fpt.h.

Referenced by fpt_init().

## precomputed

bool fpt_data_::precomputed

Definition at line 59 of file fpt.h.

The documentation for this struct was generated from the following file:

- fpt.h